Package com.zoho.analytics.jdbc

## Class ZohoAnalyticsStatement

- java.lang.Object
- - com.zoho.analytics.jdbc.ZohoAnalyticsWrapper
  - - com.zoho.analytics.jdbc.ZohoAnalyticsStatement

- All Implemented Interfaces:
    `java.lang.AutoCloseable`, `java.sql.Statement`, `java.sql.Wrapper`

      public class ZohoAnalyticsStatement
      extends ZohoAnalyticsWrapper
      implements java.sql.Statement

  The object used for executing a static SQL statement and returning the results it produces.
  See Also:
    Statement

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected int` | `affectedRowCount` |
    `static int` | `ALTER_TABLE_QUERY` |
    `static java.util.Map<java.lang.String,​java.lang.Object>` | `ANALYTICS_SERVER_PROPS` |
    `static java.util.Map<java.lang.Integer,​java.lang.Integer>` | `ANALYTICS_SQL_DATATYPE_MAP` |
    `static java.lang.String[]` | `BEST_ROW_PROPS` |
    `static boolean` | `BOOLEAN_RESULT` |
    `static java.lang.String[]` | `COLUMN_PROPS` |
    `protected java.sql.Connection` | `con` |
    `static int` | `CREATE_TABLE_QUERY` |
    `static int` | `CREATE_VIEW_QUERY` |
    `protected java.sql.ResultSet` | `currResultSet` |
    `protected java.lang.String` | `cursorName` |
    `static java.lang.String[]` | `DATA_TYPE_PROPS` |
    `static int` | `DELETE_QUERY` |
    `static int` | `DROP_QUERY` |
    `protected boolean` | `escapeProcessing` |
    `protected int` | `fetchSize` |
    `static java.util.ArrayList<java.lang.String>` | `GEO_ROLE_DATA_TYPE` |
    `static java.util.Map<java.lang.String,​java.lang.String>` | `HOST_NAME_VS_ACCOUNTS_URL` |
    `static int` | `INSERT_QUERY` |
    `static int` | `INT_RESULT` |
    `protected boolean` | `isClosed` |
    `protected int` | `maxFieldSize` |
    `protected int` | `maxRows` |
    `static java.lang.String[]` | `REFERENCE_KEYS_PROPS` |
    `static int` | `SELECT_QUERY` |
    `static java.lang.String` | `STRING_RESULT` |
    `static ZohoAnalyticsConstants[]` | `TABLE_TYPES` |
    `protected int` | `timeout` |
    `static int` | `UPDATE_QUERY` |
    `static java.lang.String[]` | `VIEW_PROPS` |
    `static ZohoAnalyticsConstants[]` | `ZDB_SUBTYPES` |
    `static java.util.List<java.util.HashMap<java.lang.String,​java.lang.String>>` | `ZDB_SUBTYPES_LIST` |

    - ### Fields inherited from interface java.sql.Statement

      `CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addBatch​(java.lang.String sql)` | Not implemented.
    `void` | `cancel()` | Not implemented.
    `void` | `clearBatch()` | `See clearBatch`
    `void` | `clearWarnings()` | `See clearWarnings`
    `void` | `close()` | `See close`
    `void` | `closeOnCompletion()` |
    `boolean` | `execute​(java.lang.String sql)` | `See execute`
    `boolean` | `execute​(java.lang.String sql, int columnIndex)` | `See execute`
    `boolean` | `execute​(java.lang.String sql, int[] columnIndices)` | `See execute`
    `boolean` | `execute​(java.lang.String sql, java.lang.String[] columnNames)` | `See execute`
    `int[]` | `executeBatch()` | Not implemented.
    `java.sql.ResultSet` | `executeQuery​(java.lang.String sql)` | `See executeQuery`
    `int` | `executeUpdate​(java.lang.String sql)` | `See executeUpdate`
    `int` | `executeUpdate​(java.lang.String sql, int columnIndex)` | Not implemented.
    `int` | `executeUpdate​(java.lang.String sql, int[] columnIndices)` | Not implemented.
    `int` | `executeUpdate​(java.lang.String sql, java.lang.String[] columnNames)` | Not implemented.
    `java.sql.Connection` | `getConnection()` | `See getConnection`
    `int` | `getFetchDirection()` | `See getFetchDirection`
    `int` | `getFetchSize()` | `See getFetchSize`
    `java.sql.ResultSet` | `getGeneratedKeys()` | `See getGeneratedKeys`
    `long` | `getLargeUpdateCount()` |
    `int` | `getMaxFieldSize()` | `See getMaxFieldSize`
    `int` | `getMaxRows()` | `See getMaxRows`
    `boolean` | `getMoreResults()` | `See getMoreResults`
    `boolean` | `getMoreResults​(int current)` | `See getMoreResults`
    `int` | `getQueryTimeout()` | `See getQueryTimeout`
    `java.sql.ResultSet` | `getResultSet()` | `See getResultSet`
    `int` | `getResultSetConcurrency()` | `See getResultSetConcurrency`
    `int` | `getResultSetHoldability()` | `See getResultSetHoldability`
    `int` | `getResultSetType()` | `See getResultSetType`
    `int` | `getUpdateCount()` | `See getUpdateCount`
    `java.sql.SQLWarning` | `getWarnings()` | `See getWarnings()`
    `boolean` | `isClosed()` | `See isClosed`
    `boolean` | `isCloseOnCompletion()` |
    `boolean` | `isPoolable()` | `See isPoolable`
    `void` | `setCursorName​(java.lang.String cursor)` | `See setCursorName`
    `void` | `setEscapeProcessing​(boolean escape)` | `See setEscapeProcessing`
    `void` | `setFetchDirection​(int direction)` | `See setFetchDirection`
    `void` | `setFetchSize​(int size)` | `See setFetchSize`
    `void` | `setMaxFieldSize​(int maxsize)` | `See setMaxFieldSize`
    `void` | `setMaxRows​(int rows)` | Not implemented.
    `void` | `setPoolable​(boolean poolable)` | `See setPoolable`
    `void` | `setQueryTimeout​(int timeout)` | `See setQueryTimeout`

    - ### Methods inherited from class com.zoho.analytics.jdbc.ZohoAnalyticsWrapper

      `isWrapperFor, unwrap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.sql.Statement

      `enquoteIdentifier, enquoteLiteral, enquoteNCharLiteral, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, getLargeMaxRows, isSimpleIdentifier, setLargeMaxRows`

    - ### Methods inherited from interface java.sql.Wrapper

      `isWrapperFor, unwrap`

- - ### Field Detail

    - #### isClosed

          protected boolean isClosed

    - #### currResultSet

          protected java.sql.ResultSet currResultSet

    - #### con

          protected java.sql.Connection con

    - #### maxRows

          protected int maxRows

    - #### affectedRowCount

          protected int affectedRowCount

    - #### fetchSize

          protected int fetchSize

    - #### maxFieldSize

          protected int maxFieldSize

    - #### escapeProcessing

          protected boolean escapeProcessing

    - #### timeout

          protected int timeout

    - #### cursorName

          protected java.lang.String cursorName

    - #### SELECT_QUERY

          public static final int SELECT_QUERY

      See Also:
        Constant Field Values

    - #### INSERT_QUERY

          public static final int INSERT_QUERY

      See Also:
        Constant Field Values

    - #### UPDATE_QUERY

          public static final int UPDATE_QUERY

      See Also:
        Constant Field Values

    - #### DELETE_QUERY

          public static final int DELETE_QUERY

      See Also:
        Constant Field Values

    - #### CREATE_TABLE_QUERY

          public static final int CREATE_TABLE_QUERY

      See Also:
        Constant Field Values

    - #### CREATE_VIEW_QUERY

          public static final int CREATE_VIEW_QUERY

      See Also:
        Constant Field Values

    - #### ALTER_TABLE_QUERY

          public static final int ALTER_TABLE_QUERY

      See Also:
        Constant Field Values

    - #### DROP_QUERY

          public static final int DROP_QUERY

      See Also:
        Constant Field Values

    - #### INT_RESULT

          public static final int INT_RESULT

      See Also:
        Constant Field Values

    - #### STRING_RESULT

          public static final java.lang.String STRING_RESULT

      See Also:
        Constant Field Values

    - #### BOOLEAN_RESULT

          public static final boolean BOOLEAN_RESULT

      See Also:
        Constant Field Values

    - #### VIEW_PROPS

          public static final java.lang.String[] VIEW_PROPS

    - #### COLUMN_PROPS

          public static final java.lang.String[] COLUMN_PROPS

    - #### BEST_ROW_PROPS

          public static final java.lang.String[] BEST_ROW_PROPS

    - #### DATA_TYPE_PROPS

          public static final java.lang.String[] DATA_TYPE_PROPS

    - #### REFERENCE_KEYS_PROPS

          public static final java.lang.String[] REFERENCE_KEYS_PROPS

    - #### TABLE_TYPES

          public static final ZohoAnalyticsConstants[] TABLE_TYPES

    - #### GEO_ROLE_DATA_TYPE

          public static final java.util.ArrayList<java.lang.String> GEO_ROLE_DATA_TYPE

    - #### ANALYTICS_SQL_DATATYPE_MAP

          public static final java.util.Map<java.lang.Integer,​java.lang.Integer> ANALYTICS_SQL_DATATYPE_MAP

    - #### HOST_NAME_VS_ACCOUNTS_URL

          public static final java.util.Map<java.lang.String,​java.lang.String> HOST_NAME_VS_ACCOUNTS_URL

    - #### ZDB_SUBTYPES_LIST

          public static final java.util.List<java.util.HashMap<java.lang.String,​java.lang.String>> ZDB_SUBTYPES_LIST

    - #### ZDB_SUBTYPES

          public static final ZohoAnalyticsConstants[] ZDB_SUBTYPES

    - #### ANALYTICS_SERVER_PROPS

          public static final java.util.Map<java.lang.String,​java.lang.Object> ANALYTICS_SERVER_PROPS

  - ### Method Detail

    - #### addBatch

          public void addBatch​(java.lang.String sql)
                        throws java.sql.SQLException

      Not implemented.

      `See addBatch`

      Specified by:
        `addBatch` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### cancel

          public void cancel()
                      throws java.sql.SQLException

      Not implemented.

      `See cancel`

      Specified by:
        `cancel` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### clearBatch

          public void clearBatch()
                          throws java.sql.SQLException

      `See clearBatch`
      Specified by:
        `clearBatch` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### clearWarnings

          public void clearWarnings()
                             throws java.sql.SQLException

      `See clearWarnings`
      Specified by:
        `clearWarnings` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### close

          public void close()
                     throws java.sql.SQLException

      `See close`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### execute

          public boolean execute​(java.lang.String sql)
                          throws java.sql.SQLException

      `See execute`
      Specified by:
        `execute` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### execute

          public boolean execute​(java.lang.String sql,
                                 java.lang.String[] columnNames)
                          throws java.sql.SQLException

      `See execute`
      Specified by:
        `execute` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### execute

          public boolean execute​(java.lang.String sql,
                                 int[] columnIndices)
                          throws java.sql.SQLException

      `See execute`
      Specified by:
        `execute` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### execute

          public boolean execute​(java.lang.String sql,
                                 int columnIndex)
                          throws java.sql.SQLException

      `See execute`
      Specified by:
        `execute` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### executeBatch

          public int[] executeBatch()
                             throws java.sql.SQLException

      Not implemented.

      `See executeBatch`

      Specified by:
        `executeBatch` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### executeQuery

          public java.sql.ResultSet executeQuery​(java.lang.String sql)
                                          throws java.sql.SQLException

      `See executeQuery`
      Specified by:
        `executeQuery` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### executeUpdate

          public int executeUpdate​(java.lang.String sql)
                            throws java.sql.SQLException

      `See executeUpdate`

      Specified by:
        `executeUpdate` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### executeUpdate

          public int executeUpdate​(java.lang.String sql,
                                   java.lang.String[] columnNames)
                            throws java.sql.SQLException

      Not implemented.

      `See executeUpdate`

      Specified by:
        `executeUpdate` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### executeUpdate

          public int executeUpdate​(java.lang.String sql,
                                   int columnIndex)
                            throws java.sql.SQLException

      Not implemented.

      `See executeUpdate`

      Specified by:
        `executeUpdate` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### executeUpdate

          public int executeUpdate​(java.lang.String sql,
                                   int[] columnIndices)
                            throws java.sql.SQLException

      Not implemented.

      `See executeUpdate`

      Specified by:
        `executeUpdate` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getConnection

          public java.sql.Connection getConnection()
                                            throws java.sql.SQLException

      `See getConnection`
      Specified by:
        `getConnection` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getFetchDirection

          public int getFetchDirection()
                                throws java.sql.SQLException

      `See getFetchDirection`
      Specified by:
        `getFetchDirection` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getFetchSize

          public int getFetchSize()
                           throws java.sql.SQLException

      `See getFetchSize`
      Specified by:
        `getFetchSize` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getGeneratedKeys

          public java.sql.ResultSet getGeneratedKeys()
                                              throws java.sql.SQLException

      `See getGeneratedKeys`

      Specified by:
        `getGeneratedKeys` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getMaxFieldSize

          public int getMaxFieldSize()
                              throws java.sql.SQLException

      `See getMaxFieldSize`
      Specified by:
        `getMaxFieldSize` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getMaxRows

          public int getMaxRows()
                         throws java.sql.SQLException

      `See getMaxRows`
      Specified by:
        `getMaxRows` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getMoreResults

          public boolean getMoreResults()
                                 throws java.sql.SQLException

      `See getMoreResults`
      Specified by:
        `getMoreResults` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getMoreResults

          public boolean getMoreResults​(int current)
                                 throws java.sql.SQLException

      `See getMoreResults`
      Specified by:
        `getMoreResults` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getQueryTimeout

          public int getQueryTimeout()
                              throws java.sql.SQLException

      `See getQueryTimeout`
      Specified by:
        `getQueryTimeout` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getResultSet

          public java.sql.ResultSet getResultSet()
                                          throws java.sql.SQLException

      `See getResultSet`
      Specified by:
        `getResultSet` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getResultSetConcurrency

          public int getResultSetConcurrency()
                                      throws java.sql.SQLException

      `See getResultSetConcurrency`
      Specified by:
        `getResultSetConcurrency` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getResultSetHoldability

          public int getResultSetHoldability()
                                      throws java.sql.SQLException

      `See getResultSetHoldability`
      Specified by:
        `getResultSetHoldability` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getResultSetType

          public int getResultSetType()
                               throws java.sql.SQLException

      `See getResultSetType`
      Specified by:
        `getResultSetType` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getUpdateCount

          public int getUpdateCount()
                             throws java.sql.SQLException

      `See getUpdateCount`
      Specified by:
        `getUpdateCount` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getLargeUpdateCount

          public long getLargeUpdateCount()
                                   throws java.sql.SQLException

      Specified by:
        `getLargeUpdateCount` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### getWarnings

          public java.sql.SQLWarning getWarnings()
                                          throws java.sql.SQLException

      `See getWarnings()`
      Specified by:
        `getWarnings` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setCursorName

          public void setCursorName​(java.lang.String cursor)
                             throws java.sql.SQLException

      `See setCursorName`
      Specified by:
        `setCursorName` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setEscapeProcessing

          public void setEscapeProcessing​(boolean escape)
                                   throws java.sql.SQLException

      `See setEscapeProcessing`
      Specified by:
        `setEscapeProcessing` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setFetchDirection

          public void setFetchDirection​(int direction)
                                 throws java.sql.SQLException

      `See setFetchDirection`
      Specified by:
        `setFetchDirection` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setFetchSize

          public void setFetchSize​(int size)
                            throws java.sql.SQLException

      `See setFetchSize`
      Specified by:
        `setFetchSize` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setMaxFieldSize

          public void setMaxFieldSize​(int maxsize)
                               throws java.sql.SQLException

      `See setMaxFieldSize`

      Specified by:
        `setMaxFieldSize` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setMaxRows

          public void setMaxRows​(int rows)
                          throws java.sql.SQLException

      Not implemented.

      `See setMaxRows`

      Specified by:
        `setMaxRows` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setQueryTimeout

          public void setQueryTimeout​(int timeout)
                               throws java.sql.SQLException

      `See setQueryTimeout`

      Specified by:
        `setQueryTimeout` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### isPoolable

          public boolean isPoolable()
                             throws java.sql.SQLException

      `See isPoolable`

      Specified by:
        `isPoolable` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### setPoolable

          public void setPoolable​(boolean poolable)
                           throws java.sql.SQLException

      `See setPoolable`

      Specified by:
        `setPoolable` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### isClosed

          public boolean isClosed()
                           throws java.sql.SQLException

      `See isClosed`

      Specified by:
        `isClosed` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### closeOnCompletion

          public void closeOnCompletion()
                                 throws java.sql.SQLException

      Specified by:
        `closeOnCompletion` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`

    - #### isCloseOnCompletion

          public boolean isCloseOnCompletion()
                                      throws java.sql.SQLException

      Specified by:
        `isCloseOnCompletion` in interface `java.sql.Statement`
      Throws:
        `java.sql.SQLException`